<?php

declare(strict_types=1);

namespace KupShop\ComponentsBundle\Contracts;

use KupShop\ComponentsBundle\Entity\Thumbnail;
use KupShop\KupShopBundle\Util\Price\Price;

interface OrderItemInterface
{
    public function getId(): int;

    public function getProductId(): ?int;

    public function getVariationId(): ?int;

    public function getPieces(): int;

    public function getThumbnail(): ?Thumbnail;

    public function getDescription(): ?string;

    public function getProductTitle(): ?string;

    public function getUrl(): ?string;

    public function getTotalPrice(): Price;

    public function getPiecePrice(): Price;

    public function getItemType(): string;
}
